Fetch emails for an inbox
curl --request GET \
--url https://zerodrop.dev/api/inbox/{name}import requests
url = "https://zerodrop.dev/api/inbox/{name}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://zerodrop.dev/api/inbox/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"emails": [
{
"id": "<CALMkwzNSLxzko58@mail.gmail.com>",
"from": "noreply@yourapp.com",
"to": "swift-x7k2m@zerodrop-sandbox.online",
"subject": "Verify your email",
"body": "Click here to verify your email: https://yourapp.com/verify?token=abc123",
"rawBody": "...",
"receivedAt": "2026-06-17T10:23:30.356Z",
"otp": null,
"magicLink": "https://yourapp.com/verify?token=abc123"
}
],
"count": 1
}{
"error": "Too many requests. Slow down."
}Inbox
Fetch emails for an inbox
Returns all emails currently stored for the given inbox name. Emails expire after 30 minutes. Returns an empty array if the inbox has no emails or has expired.
GET
/
api
/
inbox
/
{name}
Fetch emails for an inbox
Path Parameters
The inbox name (without the domain). Example: swift-x7k2m for swift-x7k2m@zerodrop-sandbox.online
Example:
"swift-x7k2m"
Query Parameters
Identifies the client making the request. Use sdk for programmatic access.
Available options:
browser, sdk